pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (ada_main, Spec_File_Name => "b__spikedog-aws_driver.ads");
pragma Source_File_Name (ada_main, Body_File_Name => "b__spikedog-aws_driver.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body ada_main is

   E073 : Short_Integer; pragma Import (Ada, E073, "system__os_lib_E");
   E011 : Short_Integer; pragma Import (Ada, E011, "system__soft_links_E");
   E023 : Short_Integer; pragma Import (Ada, E023, "system__exception_table_E");
   E068 : Short_Integer; pragma Import (Ada, E068, "ada__io_exceptions_E");
   E053 : Short_Integer; pragma Import (Ada, E053, "ada__strings_E");
   E038 : Short_Integer; pragma Import (Ada, E038, "ada__containers_E");
   E025 : Short_Integer; pragma Import (Ada, E025, "system__exceptions_E");
   E055 : Short_Integer; pragma Import (Ada, E055, "ada__strings__maps_E");
   E059 : Short_Integer; pragma Import (Ada, E059, "ada__strings__maps__constants_E");
   E043 : Short_Integer; pragma Import (Ada, E043, "interfaces__c_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__soft_links__initialize_E");
   E079 : Short_Integer; pragma Import (Ada, E079, "system__object_reader_E");
   E048 : Short_Integer; pragma Import (Ada, E048, "system__dwarf_lines_E");
   E037 : Short_Integer; pragma Import (Ada, E037, "system__traceback__symbolic_E");
   E252 : Short_Integer; pragma Import (Ada, E252, "ada__numerics_E");
   E824 : Short_Integer; pragma Import (Ada, E824, "ada__strings__utf_encoding_E");
   E271 : Short_Integer; pragma Import (Ada, E271, "gnat_E");
   E221 : Short_Integer; pragma Import (Ada, E221, "interfaces__c__strings_E");
   E139 : Short_Integer; pragma Import (Ada, E139, "system__task_info_E");
   E133 : Short_Integer; pragma Import (Ada, E133, "system__task_primitives__operations_E");
   E097 : Short_Integer; pragma Import (Ada, E097, "ada__tags_E");
   E107 : Short_Integer; pragma Import (Ada, E107, "ada__streams_E");
   E115 : Short_Integer; pragma Import (Ada, E115, "system__file_control_block_E");
   E114 : Short_Integer; pragma Import (Ada, E114, "system__finalization_root_E");
   E112 : Short_Integer; pragma Import (Ada, E112, "ada__finalization_E");
   E111 : Short_Integer; pragma Import (Ada, E111, "system__file_io_E");
   E259 : Short_Integer; pragma Import (Ada, E259, "ada__streams__stream_io_E");
   E207 : Short_Integer; pragma Import (Ada, E207, "system__storage_pools_E");
   E203 : Short_Integer; pragma Import (Ada, E203, "system__finalization_masters_E");
   E201 : Short_Integer; pragma Import (Ada, E201, "system__storage_pools__subpools_E");
   E195 : Short_Integer; pragma Import (Ada, E195, "ada__strings__unbounded_E");
   E313 : Short_Integer; pragma Import (Ada, E313, "system__regpat_E");
   E122 : Short_Integer; pragma Import (Ada, E122, "ada__calendar_E");
   E120 : Short_Integer; pragma Import (Ada, E120, "ada__calendar__delays_E");
   E177 : Short_Integer; pragma Import (Ada, E177, "ada__calendar__time_zones_E");
   E231 : Short_Integer; pragma Import (Ada, E231, "ada__real_time_E");
   E105 : Short_Integer; pragma Import (Ada, E105, "ada__text_io_E");
   E305 : Short_Integer; pragma Import (Ada, E305, "gnat__calendar_E");
   E308 : Short_Integer; pragma Import (Ada, E308, "gnat__calendar__time_io_E");
   E975 : Short_Integer; pragma Import (Ada, E975, "gnat__ctrl_c_E");
   E420 : Short_Integer; pragma Import (Ada, E420, "gnat__secure_hashes_E");
   E422 : Short_Integer; pragma Import (Ada, E422, "gnat__secure_hashes__md5_E");
   E418 : Short_Integer; pragma Import (Ada, E418, "gnat__md5_E");
   E450 : Short_Integer; pragma Import (Ada, E450, "gnat__secure_hashes__sha1_E");
   E456 : Short_Integer; pragma Import (Ada, E456, "gnat__secure_hashes__sha2_common_E");
   E454 : Short_Integer; pragma Import (Ada, E454, "gnat__secure_hashes__sha2_32_E");
   E448 : Short_Integer; pragma Import (Ada, E448, "gnat__sha1_E");
   E452 : Short_Integer; pragma Import (Ada, E452, "gnat__sha256_E");
   E276 : Short_Integer; pragma Import (Ada, E276, "system__assertions_E");
   E317 : Short_Integer; pragma Import (Ada, E317, "system__pool_global_E");
   E388 : Short_Integer; pragma Import (Ada, E388, "system__pool_size_E");
   E378 : Short_Integer; pragma Import (Ada, E378, "gnat__sockets_E");
   E386 : Short_Integer; pragma Import (Ada, E386, "gnat__sockets__thin_common_E");
   E381 : Short_Integer; pragma Import (Ada, E381, "gnat__sockets__thin_E");
   E286 : Short_Integer; pragma Import (Ada, E286, "system__random_seed_E");
   E217 : Short_Integer; pragma Import (Ada, E217, "system__regexp_E");
   E173 : Short_Integer; pragma Import (Ada, E173, "ada__directories_E");
   E155 : Short_Integer; pragma Import (Ada, E155, "system__tasking__initialization_E");
   E165 : Short_Integer; pragma Import (Ada, E165, "system__tasking__protected_objects_E");
   E167 : Short_Integer; pragma Import (Ada, E167, "system__tasking__protected_objects__entries_E");
   E163 : Short_Integer; pragma Import (Ada, E163, "system__tasking__queuing_E");
   E973 : Short_Integer; pragma Import (Ada, E973, "ada__synchronous_task_control_E");
   E368 : Short_Integer; pragma Import (Ada, E368, "system__tasking__stages_E");
   E391 : Short_Integer; pragma Import (Ada, E391, "aws__default_E");
   E724 : Short_Integer; pragma Import (Ada, E724, "matreshka__internals__calendars_E");
   E723 : Short_Integer; pragma Import (Ada, E723, "league__calendars_E");
   E766 : Short_Integer; pragma Import (Ada, E766, "matreshka__internals__stream_element_vectors_E");
   E764 : Short_Integer; pragma Import (Ada, E764, "league__stream_element_vectors_E");
   E519 : Short_Integer; pragma Import (Ada, E519, "league__characters_E");
   E807 : Short_Integer; pragma Import (Ada, E807, "matreshka__internals__locales_E");
   E808 : Short_Integer; pragma Import (Ada, E808, "matreshka__internals__locales__defaults_E");
   E967 : Short_Integer; pragma Import (Ada, E967, "matreshka__servlet_servers_E");
   E692 : Short_Integer; pragma Import (Ada, E692, "matreshka__internals__strings_E");
   E699 : Short_Integer; pragma Import (Ada, E699, "matreshka__internals__strings__handlers_E");
   E701 : Short_Integer; pragma Import (Ada, E701, "matreshka__internals__strings__handlers__portable_E");
   E708 : Short_Integer; pragma Import (Ada, E708, "matreshka__internals__strings__handlers__x86_E");
   E717 : Short_Integer; pragma Import (Ada, E717, "matreshka__internals__strings__handlers__x86__sse2_popcnt_E");
   E710 : Short_Integer; pragma Import (Ada, E710, "matreshka__internals__strings__handlers__x86__sse2_E");
   E762 : Short_Integer; pragma Import (Ada, E762, "matreshka__internals__string_vectors_E");
   E517 : Short_Integer; pragma Import (Ada, E517, "league__strings_E");
   E770 : Short_Integer; pragma Import (Ada, E770, "matreshka__internals__text_codecs_E");
   E798 : Short_Integer; pragma Import (Ada, E798, "matreshka__internals__text_codecs__windows1252_E");
   E796 : Short_Integer; pragma Import (Ada, E796, "matreshka__internals__text_codecs__windows1251_E");
   E794 : Short_Integer; pragma Import (Ada, E794, "matreshka__internals__text_codecs__windows1250_E");
   E792 : Short_Integer; pragma Import (Ada, E792, "matreshka__internals__text_codecs__utf8_E");
   E790 : Short_Integer; pragma Import (Ada, E790, "matreshka__internals__text_codecs__utf16_E");
   E787 : Short_Integer; pragma Import (Ada, E787, "matreshka__internals__text_codecs__shiftjis_E");
   E785 : Short_Integer; pragma Import (Ada, E785, "matreshka__internals__text_codecs__koi8u_E");
   E783 : Short_Integer; pragma Import (Ada, E783, "matreshka__internals__text_codecs__koi8r_E");
   E781 : Short_Integer; pragma Import (Ada, E781, "matreshka__internals__text_codecs__iso88595_E");
   E779 : Short_Integer; pragma Import (Ada, E779, "matreshka__internals__text_codecs__iso88591_E");
   E777 : Short_Integer; pragma Import (Ada, E777, "matreshka__internals__text_codecs__ibm437_E");
   E775 : Short_Integer; pragma Import (Ada, E775, "matreshka__internals__text_codecs__iana_registry_E");
   E772 : Short_Integer; pragma Import (Ada, E772, "matreshka__internals__text_codecs__ascii_E");
   E758 : Short_Integer; pragma Import (Ada, E758, "league__string_vectors_E");
   E688 : Short_Integer; pragma Import (Ada, E688, "league__holders_E");
   E742 : Short_Integer; pragma Import (Ada, E742, "league__holders__booleans_E");
   E686 : Short_Integer; pragma Import (Ada, E686, "matreshka__json_types_E");
   E738 : Short_Integer; pragma Import (Ada, E738, "matreshka__json_documents_E");
   E734 : Short_Integer; pragma Import (Ada, E734, "league__json__objects_E");
   E680 : Short_Integer; pragma Import (Ada, E680, "league__json__arrays_E");
   E746 : Short_Integer; pragma Import (Ada, E746, "league__holders__json_arrays_E");
   E750 : Short_Integer; pragma Import (Ada, E750, "league__holders__json_objects_E");
   E682 : Short_Integer; pragma Import (Ada, E682, "league__json__documents_E");
   E740 : Short_Integer; pragma Import (Ada, E740, "league__json__values_E");
   E678 : Short_Integer; pragma Import (Ada, E678, "league__json__streams_E");
   E869 : Short_Integer; pragma Import (Ada, E869, "league__iris_E");
   E833 : Short_Integer; pragma Import (Ada, E833, "league__text_codecs_E");
   E859 : Short_Integer; pragma Import (Ada, E859, "matreshka__internals__calendars__formatting_E");
   E861 : Short_Integer; pragma Import (Ada, E861, "matreshka__internals__calendars__formatting__iso_8601_E");
   E863 : Short_Integer; pragma Import (Ada, E863, "matreshka__internals__calendars__formatting__times_E");
   E857 : Short_Integer; pragma Import (Ada, E857, "league__calendars__iso_8601_E");
   E893 : Short_Integer; pragma Import (Ada, E893, "matreshka__internals__sax_locators_E");
   E979 : Short_Integer; pragma Import (Ada, E979, "matreshka__internals__settings_E");
   E938 : Short_Integer; pragma Import (Ada, E938, "matreshka__internals__xml__base_scopes_E");
   E865 : Short_Integer; pragma Import (Ada, E865, "matreshka__rfc2616_dates_E");
   E825 : Short_Integer; pragma Import (Ada, E825, "servlet_E");
   E845 : Short_Integer; pragma Import (Ada, E845, "servlet__event_listeners_E");
   E874 : Short_Integer; pragma Import (Ada, E874, "servlet__http_cookies_E");
   E872 : Short_Integer; pragma Import (Ada, E872, "servlet__http_cookie_sets_E");
   E877 : Short_Integer; pragma Import (Ada, E877, "servlet__http_parameters_E");
   E875 : Short_Integer; pragma Import (Ada, E875, "servlet__http_parameter_vectors_E");
   E878 : Short_Integer; pragma Import (Ada, E878, "servlet__http_sessions_E");
   E879 : Short_Integer; pragma Import (Ada, E879, "servlet__http_upgrade_handlers_E");
   E847 : Short_Integer; pragma Import (Ada, E847, "servlet__servlet_registrations_E");
   E844 : Short_Integer; pragma Import (Ada, E844, "servlet__contexts_E");
   E842 : Short_Integer; pragma Import (Ada, E842, "servlet__configs_E");
   E894 : Short_Integer; pragma Import (Ada, E894, "servlet__container_initializers_E");
   E968 : Short_Integer; pragma Import (Ada, E968, "servlet__context_listeners_E");
   E850 : Short_Integer; pragma Import (Ada, E850, "servlet__requests_E");
   E867 : Short_Integer; pragma Import (Ada, E867, "servlet__http_requests_E");
   E853 : Short_Integer; pragma Import (Ada, E853, "servlet__write_listeners_E");
   E852 : Short_Integer; pragma Import (Ada, E852, "servlet__output_streams_E");
   E851 : Short_Integer; pragma Import (Ada, E851, "servlet__responses_E");
   E881 : Short_Integer; pragma Import (Ada, E881, "servlet__http_responses_E");
   E848 : Short_Integer; pragma Import (Ada, E848, "servlet__servlets_E");
   E841 : Short_Integer; pragma Import (Ada, E841, "servlet__generic_servlets_E");
   E855 : Short_Integer; pragma Import (Ada, E855, "servlet__http_servlets_E");
   E839 : Short_Integer; pragma Import (Ada, E839, "matreshka__servlet_defaults_E");
   E962 : Short_Integer; pragma Import (Ada, E962, "spikedog__http_session_managers_E");
   E960 : Short_Integer; pragma Import (Ada, E960, "matreshka__servlet_http_requests_E");
   E966 : Short_Integer; pragma Import (Ada, E966, "matreshka__servlet_http_responses_E");
   E969 : Short_Integer; pragma Import (Ada, E969, "spikedog__servlet_contexts_E");
   E999 : Short_Integer; pragma Import (Ada, E999, "web_socket__listeners_E");
   E998 : Short_Integer; pragma Import (Ada, E998, "web_socket__connections_E");
   E997 : Short_Integer; pragma Import (Ada, E997, "web_socket__handlers_E");
   E888 : Short_Integer; pragma Import (Ada, E888, "xml__sax__attributes_E");
   E951 : Short_Integer; pragma Import (Ada, E951, "xml__sax__declaration_handlers_E");
   E952 : Short_Integer; pragma Import (Ada, E952, "xml__sax__dtd_handlers_E");
   E896 : Short_Integer; pragma Import (Ada, E896, "xml__sax__input_sources_E");
   E956 : Short_Integer; pragma Import (Ada, E956, "xml__sax__entity_resolvers_E");
   E898 : Short_Integer; pragma Import (Ada, E898, "xml__sax__input_sources__streams_E");
   E954 : Short_Integer; pragma Import (Ada, E954, "xml__sax__lexical_handlers_E");
   E891 : Short_Integer; pragma Import (Ada, E891, "xml__sax__locators_E");
   E889 : Short_Integer; pragma Import (Ada, E889, "xml__sax__content_handlers_E");
   E911 : Short_Integer; pragma Import (Ada, E911, "xml__sax__parse_exceptions_E");
   E953 : Short_Integer; pragma Import (Ada, E953, "xml__sax__error_handlers_E");
   E950 : Short_Integer; pragma Import (Ada, E950, "xml__sax__default_handlers_E");
   E955 : Short_Integer; pragma Import (Ada, E955, "xml__sax__readers_E");
   E444 : Short_Integer; pragma Import (Ada, E444, "aws__containers__key_value_E");
   E395 : Short_Integer; pragma Import (Ada, E395, "aws__containers__string_vectors_E");
   E408 : Short_Integer; pragma Import (Ada, E408, "aws__containers__tables_E");
   E831 : Short_Integer; pragma Import (Ada, E831, "league__environment_variables_E");
   E829 : Short_Integer; pragma Import (Ada, E829, "league__application_E");
   E984 : Short_Integer; pragma Import (Ada, E984, "matreshka__internals__settings__fallbacks_E");
   E986 : Short_Integer; pragma Import (Ada, E986, "matreshka__internals__settings__ini_files_E");
   E982 : Short_Integer; pragma Import (Ada, E982, "matreshka__internals__settings__ini_managers_E");
   E977 : Short_Integer; pragma Import (Ada, E977, "league__settings_E");
   E980 : Short_Integer; pragma Import (Ada, E980, "matreshka__internals__settings__configuration_E");
   E882 : Short_Integer; pragma Import (Ada, E882, "matreshka__spikedog_deployment_descriptors_E");
   E884 : Short_Integer; pragma Import (Ada, E884, "matreshka__spikedog_deployment_descriptors__parsers_E");
   E358 : Short_Integer; pragma Import (Ada, E358, "memory_streams_E");
   E364 : Short_Integer; pragma Import (Ada, E364, "ssl__thin_E");
   E328 : Short_Integer; pragma Import (Ada, E328, "templates_parser_tasking_E");
   E294 : Short_Integer; pragma Import (Ada, E294, "templates_parser_E");
   E326 : Short_Integer; pragma Import (Ada, E326, "templates_parser__utils_E");
   E324 : Short_Integer; pragma Import (Ada, E324, "templates_parser__input_E");
   E235 : Short_Integer; pragma Import (Ada, E235, "aws__utils_E");
   E345 : Short_Integer; pragma Import (Ada, E345, "aws__resources_E");
   E360 : Short_Integer; pragma Import (Ada, E360, "aws__resources__files_E");
   E349 : Short_Integer; pragma Import (Ada, E349, "aws__resources__streams_E");
   E353 : Short_Integer; pragma Import (Ada, E353, "aws__resources__streams__memory_E");
   E347 : Short_Integer; pragma Import (Ada, E347, "aws__resources__embedded_E");
   E351 : Short_Integer; pragma Import (Ada, E351, "aws__resources__streams__zlib_E");
   E362 : Short_Integer; pragma Import (Ada, E362, "aws__resources__streams__disk_E");
   E412 : Short_Integer; pragma Import (Ada, E412, "aws__resources__streams__disk__once_E");
   E372 : Short_Integer; pragma Import (Ada, E372, "aws__resources__streams__memory__zlib_E");
   E370 : Short_Integer; pragma Import (Ada, E370, "aws__translator_E");
   E171 : Short_Integer; pragma Import (Ada, E171, "aws__config_E");
   E229 : Short_Integer; pragma Import (Ada, E229, "aws__net_E");
   E390 : Short_Integer; pragma Import (Ada, E390, "aws__net__buffered_E");
   E227 : Short_Integer; pragma Import (Ada, E227, "aws__config__utils_E");
   E223 : Short_Integer; pragma Import (Ada, E223, "aws__config__ini_E");
   E376 : Short_Integer; pragma Import (Ada, E376, "aws__net__std_E");
   E332 : Short_Integer; pragma Import (Ada, E332, "aws__net__poll_events_E");
   E233 : Short_Integer; pragma Import (Ada, E233, "aws__net__log_E");
   E334 : Short_Integer; pragma Import (Ada, E334, "aws__net__ssl_E");
   E339 : Short_Integer; pragma Import (Ada, E339, "aws__net__ssl__certificate_E");
   E341 : Short_Integer; pragma Import (Ada, E341, "aws__net__ssl__certificate__impl_E");
   E366 : Short_Integer; pragma Import (Ada, E366, "aws__net__ssl__rsa_dh_generators_E");
   E416 : Short_Integer; pragma Import (Ada, E416, "aws__digest_E");
   E406 : Short_Integer; pragma Import (Ada, E406, "aws__headers_E");
   E410 : Short_Integer; pragma Import (Ada, E410, "aws__headers__values_E");
   E427 : Short_Integer; pragma Import (Ada, E427, "aws__messages_E");
   E400 : Short_Integer; pragma Import (Ada, E400, "aws__mime_E");
   E432 : Short_Integer; pragma Import (Ada, E432, "aws__attachments_E");
   E398 : Short_Integer; pragma Import (Ada, E398, "aws__config__set_E");
   E473 : Short_Integer; pragma Import (Ada, E473, "aws__net__generic_sets_E");
   E499 : Short_Integer; pragma Import (Ada, E499, "aws__net__acceptors_E");
   E475 : Short_Integer; pragma Import (Ada, E475, "aws__net__memory_E");
   E505 : Short_Integer; pragma Import (Ada, E505, "aws__services__transient_pages_E");
   E509 : Short_Integer; pragma Import (Ada, E509, "aws__services__transient_pages__control_E");
   E446 : Short_Integer; pragma Import (Ada, E446, "aws__utils__streams_E");
   E442 : Short_Integer; pragma Import (Ada, E442, "aws__session_E");
   E511 : Short_Integer; pragma Import (Ada, E511, "aws__session__control_E");
   E434 : Short_Integer; pragma Import (Ada, E434, "aws__parameters_E");
   E436 : Short_Integer; pragma Import (Ada, E436, "aws__url_E");
   E438 : Short_Integer; pragma Import (Ada, E438, "aws__url__raise_url_error_E");
   E429 : Short_Integer; pragma Import (Ada, E429, "aws__status_E");
   E464 : Short_Integer; pragma Import (Ada, E464, "aws__net__websocket_E");
   E487 : Short_Integer; pragma Import (Ada, E487, "aws__net__websocket__handshake_error_E");
   E465 : Short_Integer; pragma Import (Ada, E465, "aws__net__websocket__protocol_E");
   E469 : Short_Integer; pragma Import (Ada, E469, "aws__net__websocket__protocol__rfc6455_E");
   E467 : Short_Integer; pragma Import (Ada, E467, "aws__net__websocket__protocol__draft76_E");
   E404 : Short_Integer; pragma Import (Ada, E404, "aws__response_E");
   E414 : Short_Integer; pragma Import (Ada, E414, "aws__response__set_E");
   E402 : Short_Integer; pragma Import (Ada, E402, "aws__dispatchers_E");
   E513 : Short_Integer; pragma Import (Ada, E513, "aws__status__translate_set_E");
   E502 : Short_Integer; pragma Import (Ada, E502, "aws__status__set_E");
   E481 : Short_Integer; pragma Import (Ada, E481, "aws__hotplug_E");
   E495 : Short_Integer; pragma Import (Ada, E495, "aws__hotplug__get_status_E");
   E440 : Short_Integer; pragma Import (Ada, E440, "aws__url__set_E");
   E483 : Short_Integer; pragma Import (Ada, E483, "aws__client_E");
   E485 : Short_Integer; pragma Import (Ada, E485, "aws__client__http_utils_E");
   E471 : Short_Integer; pragma Import (Ada, E471, "aws__net__websocket__registry_E");
   E489 : Short_Integer; pragma Import (Ada, E489, "aws__net__websocket__registry__utils_E");
   E477 : Short_Integer; pragma Import (Ada, E477, "aws__net__websocket__registry__control_E");
   E460 : Short_Integer; pragma Import (Ada, E460, "aws__log_E");
   E458 : Short_Integer; pragma Import (Ada, E458, "aws__dispatchers__callback_E");
   E118 : Short_Integer; pragma Import (Ada, E118, "aws__server_E");
   E479 : Short_Integer; pragma Import (Ada, E479, "aws__server__http_utils_E");
   E497 : Short_Integer; pragma Import (Ada, E497, "aws__server__log_E");
   E493 : Short_Integer; pragma Import (Ada, E493, "aws__server__status_E");
   E491 : Short_Integer; pragma Import (Ada, E491, "aws__server__get_status_E");
   E994 : Short_Integer; pragma Import (Ada, E994, "aws__cookie_E");
   E992 : Short_Integer; pragma Import (Ada, E992, "matreshka__servlet_aws_responses_E");
   E990 : Short_Integer; pragma Import (Ada, E990, "servlet__http_parameters__aws_parameters_E");
   E988 : Short_Integer; pragma Import (Ada, E988, "matreshka__servlet_aws_requests_E");
   E1001 : Short_Integer; pragma Import (Ada, E1001, "web_socket__handlers__aws_handlers_E");
   E905 : Short_Integer; pragma Import (Ada, E905, "xml__sax__constants_E");
   E900 : Short_Integer; pragma Import (Ada, E900, "xml__sax__input_sources__streams__files_E");
   E902 : Short_Integer; pragma Import (Ada, E902, "xml__sax__simple_readers_E");
   E930 : Short_Integer; pragma Import (Ada, E930, "xml__sax__simple_readers__validator_E");
   E917 : Short_Integer; pragma Import (Ada, E917, "xml__sax__simple_readers__parser_E");
   E925 : Short_Integer; pragma Import (Ada, E925, "xml__sax__simple_readers__scanner_E");
   E928 : Short_Integer; pragma Import (Ada, E928, "xml__sax__simple_readers__scanner__tables_E");
   E923 : Short_Integer; pragma Import (Ada, E923, "xml__sax__simple_readers__analyzer_E");
   E915 : Short_Integer; pragma Import (Ada, E915, "xml__sax__simple_readers__resolver_E");
   E907 : Short_Integer; pragma Import (Ada, E907, "xml__sax__simple_readers__callbacks_E");
   E919 : Short_Integer; pragma Import (Ada, E919, "xml__sax__simple_readers__parser__actions_E");
   E927 : Short_Integer; pragma Import (Ada, E927, "xml__sax__simple_readers__scanner__actions_E");
   E964 : Short_Integer; pragma Import (Ada, E964, "matreshka__servlet_registrations_E");
   E958 : Short_Integer; pragma Import (Ada, E958, "matreshka__servlet_dispatchers_E");
   E837 : Short_Integer; pragma Import (Ada, E837, "matreshka__servlet_containers_E");
   E971 : Short_Integer; pragma Import (Ada, E971, "matreshka__servlet_servers__aws_servers_E");
   E827 : Short_Integer; pragma Import (Ada, E827, "servlet__application_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "servlet__application__finalize_body");
      begin
         E827 := E827 - 1;
         if E827 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "matreshka__servlet_servers__aws_servers__finalize_body");
      begin
         E971 := E971 - 1;
         if E971 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "matreshka__servlet_servers__aws_servers__finalize_spec");
      begin
         if E971 = 0 then
            F3;
         end if;
      end;
      E837 := E837 - 1;
      E964 := E964 - 1;
      declare
         procedure F4;
         pragma Import (Ada, F4, "matreshka__servlet_containers__finalize_spec");
      begin
         if E837 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "matreshka__servlet_dispatchers__finalize_body");
      begin
         E958 := E958 - 1;
         if E958 = 0 then
            F5;
         end if;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "matreshka__servlet_dispatchers__finalize_spec");
      begin
         if E958 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "matreshka__servlet_registrations__finalize_spec");
      begin
         if E964 = 0 then
            F7;
         end if;
      end;
      E902 := E902 - 1;
      declare
         procedure F8;
         pragma Import (Ada, F8, "xml__sax__simple_readers__resolver__finalize_body");
      begin
         E915 := E915 - 1;
         if E915 = 0 then
            F8;
         end if;
      end;
      declare
         procedure F9;
         pragma Import (Ada, F9, "xml__sax__simple_readers__finalize_spec");
      begin
         if E902 = 0 then
            F9;
         end if;
      end;
      E900 := E900 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "xml__sax__input_sources__streams__files__finalize_spec");
      begin
         if E900 = 0 then
            F10;
         end if;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "xml__sax__constants__finalize_spec");
      begin
         E905 := E905 - 1;
         if E905 = 0 then
            F11;
         end if;
      end;
      E1001 := E1001 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "web_socket__handlers__aws_handlers__finalize_spec");
      begin
         if E1001 = 0 then
            F12;
         end if;
      end;
      E988 := E988 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "matreshka__servlet_aws_requests__finalize_spec");
      begin
         if E988 = 0 then
            F13;
         end if;
      end;
      E990 := E990 - 1;
      declare
         procedure F14;
         pragma Import (Ada, F14, "servlet__http_parameters__aws_parameters__finalize_spec");
      begin
         if E990 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "matreshka__servlet_aws_responses__finalize_body");
      begin
         E992 := E992 - 1;
         if E992 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "matreshka__servlet_aws_responses__finalize_spec");
      begin
         if E992 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "aws__server__finalize_body");
      begin
         E118 := E118 - 1;
         if E118 = 0 then
            F17;
         end if;
      end;
      E434 := E434 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "aws__server__finalize_spec");
      begin
         if E118 = 0 then
            F18;
         end if;
      end;
      E481 := E481 - 1;
      E458 := E458 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "aws__dispatchers__callback__finalize_spec");
      begin
         if E458 = 0 then
            F19;
         end if;
      end;
      E460 := E460 - 1;
      declare
         procedure F20;
         pragma Import (Ada, F20, "aws__log__finalize_spec");
      begin
         if E460 = 0 then
            F20;
         end if;
      end;
      declare
         procedure F21;
         pragma Import (Ada, F21, "aws__net__websocket__finalize_body");
      begin
         E464 := E464 - 1;
         if E464 = 0 then
            F21;
         end if;
      end;
      declare
         procedure F22;
         pragma Import (Ada, F22, "aws__net__websocket__registry__finalize_body");
      begin
         E471 := E471 - 1;
         if E471 = 0 then
            F22;
         end if;
      end;
      E483 := E483 - 1;
      declare
         procedure F23;
         pragma Import (Ada, F23, "aws__client__finalize_spec");
      begin
         if E483 = 0 then
            F23;
         end if;
      end;
      E436 := E436 - 1;
      declare
         procedure F24;
         pragma Import (Ada, F24, "aws__hotplug__finalize_spec");
      begin
         if E481 = 0 then
            F24;
         end if;
      end;
      E402 := E402 - 1;
      declare
         procedure F25;
         pragma Import (Ada, F25, "aws__dispatchers__finalize_spec");
      begin
         if E402 = 0 then
            F25;
         end if;
      end;
      E404 := E404 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "aws__response__finalize_spec");
      begin
         if E404 = 0 then
            F26;
         end if;
      end;
      E429 := E429 - 1;
      E467 := E467 - 1;
      declare
         procedure F27;
         pragma Import (Ada, F27, "aws__net__websocket__protocol__draft76__finalize_spec");
      begin
         if E467 = 0 then
            F27;
         end if;
      end;
      E469 := E469 - 1;
      declare
         procedure F28;
         pragma Import (Ada, F28, "aws__net__websocket__protocol__rfc6455__finalize_spec");
      begin
         if E469 = 0 then
            F28;
         end if;
      end;
      declare
         procedure F29;
         pragma Import (Ada, F29, "aws__net__websocket__protocol__finalize_spec");
      begin
         E465 := E465 - 1;
         if E465 = 0 then
            F29;
         end if;
      end;
      E487 := E487 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "aws__net__websocket__handshake_error__finalize_spec");
      begin
         if E487 = 0 then
            F30;
         end if;
      end;
      declare
         procedure F31;
         pragma Import (Ada, F31, "aws__net__websocket__finalize_spec");
      begin
         if E464 = 0 then
            F31;
         end if;
      end;
      declare
         procedure F32;
         pragma Import (Ada, F32, "aws__status__finalize_spec");
      begin
         if E429 = 0 then
            F32;
         end if;
      end;
      declare
         procedure F33;
         pragma Import (Ada, F33, "aws__url__finalize_spec");
      begin
         if E436 = 0 then
            F33;
         end if;
      end;
      declare
         procedure F34;
         pragma Import (Ada, F34, "aws__parameters__finalize_spec");
      begin
         if E434 = 0 then
            F34;
         end if;
      end;
      declare
         procedure F35;
         pragma Import (Ada, F35, "aws__session__finalize_body");
      begin
         E442 := E442 - 1;
         if E442 = 0 then
            F35;
         end if;
      end;
      declare
         procedure F36;
         pragma Import (Ada, F36, "aws__session__finalize_spec");
      begin
         if E442 = 0 then
            F36;
         end if;
      end;
      E446 := E446 - 1;
      declare
         procedure F37;
         pragma Import (Ada, F37, "aws__utils__streams__finalize_spec");
      begin
         if E446 = 0 then
            F37;
         end if;
      end;
      declare
         procedure F38;
         pragma Import (Ada, F38, "aws__services__transient_pages__finalize_body");
      begin
         E505 := E505 - 1;
         if E505 = 0 then
            F38;
         end if;
      end;
      declare
         procedure F39;
         pragma Import (Ada, F39, "aws__services__transient_pages__finalize_spec");
      begin
         if E505 = 0 then
            F39;
         end if;
      end;
      declare
         procedure F40;
         pragma Import (Ada, F40, "aws__net__memory__finalize_body");
      begin
         E475 := E475 - 1;
         if E475 = 0 then
            F40;
         end if;
      end;
      declare
         procedure F41;
         pragma Import (Ada, F41, "aws__net__memory__finalize_spec");
      begin
         if E475 = 0 then
            F41;
         end if;
      end;
      E499 := E499 - 1;
      declare
         procedure F42;
         pragma Import (Ada, F42, "aws__net__acceptors__finalize_spec");
      begin
         if E499 = 0 then
            F42;
         end if;
      end;
      declare
         procedure F43;
         pragma Import (Ada, F43, "aws__attachments__finalize_body");
      begin
         E432 := E432 - 1;
         if E432 = 0 then
            F43;
         end if;
      end;
      declare
         procedure F44;
         pragma Import (Ada, F44, "aws__attachments__finalize_spec");
      begin
         if E432 = 0 then
            F44;
         end if;
      end;
      declare
         procedure F45;
         pragma Import (Ada, F45, "aws__mime__finalize_body");
      begin
         E400 := E400 - 1;
         if E400 = 0 then
            F45;
         end if;
      end;
      E427 := E427 - 1;
      declare
         procedure F46;
         pragma Import (Ada, F46, "aws__messages__finalize_spec");
      begin
         if E427 = 0 then
            F46;
         end if;
      end;
      E406 := E406 - 1;
      declare
         procedure F47;
         pragma Import (Ada, F47, "aws__headers__finalize_spec");
      begin
         if E406 = 0 then
            F47;
         end if;
      end;
      declare
         procedure F48;
         pragma Import (Ada, F48, "aws__net__ssl__finalize_body");
      begin
         E334 := E334 - 1;
         if E334 = 0 then
            F48;
         end if;
      end;
      E376 := E376 - 1;
      declare
         procedure F49;
         pragma Import (Ada, F49, "aws__net__finalize_body");
      begin
         E229 := E229 - 1;
         if E229 = 0 then
            F49;
         end if;
      end;
      E339 := E339 - 1;
      declare
         procedure F50;
         pragma Import (Ada, F50, "aws__net__ssl__certificate__finalize_spec");
      begin
         if E339 = 0 then
            F50;
         end if;
      end;
      declare
         procedure F51;
         pragma Import (Ada, F51, "aws__net__ssl__finalize_spec");
      begin
         if E334 = 0 then
            F51;
         end if;
      end;
      declare
         procedure F52;
         pragma Import (Ada, F52, "aws__net__log__finalize_body");
      begin
         E233 := E233 - 1;
         if E233 = 0 then
            F52;
         end if;
      end;
      E332 := E332 - 1;
      declare
         procedure F53;
         pragma Import (Ada, F53, "aws__net__poll_events__finalize_spec");
      begin
         if E332 = 0 then
            F53;
         end if;
      end;
      declare
         procedure F54;
         pragma Import (Ada, F54, "aws__net__std__finalize_spec");
      begin
         if E376 = 0 then
            F54;
         end if;
      end;
      declare
         procedure F55;
         pragma Import (Ada, F55, "aws__config__finalize_body");
      begin
         E171 := E171 - 1;
         if E171 = 0 then
            F55;
         end if;
      end;
      declare
         procedure F56;
         pragma Import (Ada, F56, "aws__net__finalize_spec");
      begin
         if E229 = 0 then
            F56;
         end if;
      end;
      declare
         procedure F57;
         pragma Import (Ada, F57, "aws__config__finalize_spec");
      begin
         if E171 = 0 then
            F57;
         end if;
      end;
      E372 := E372 - 1;
      declare
         procedure F58;
         pragma Import (Ada, F58, "aws__resources__streams__memory__zlib__finalize_spec");
      begin
         if E372 = 0 then
            F58;
         end if;
      end;
      E412 := E412 - 1;
      declare
         procedure F59;
         pragma Import (Ada, F59, "aws__resources__streams__disk__once__finalize_spec");
      begin
         if E412 = 0 then
            F59;
         end if;
      end;
      E362 := E362 - 1;
      declare
         procedure F60;
         pragma Import (Ada, F60, "aws__resources__embedded__finalize_body");
      begin
         E347 := E347 - 1;
         if E347 = 0 then
            F60;
         end if;
      end;
      declare
         procedure F61;
         pragma Import (Ada, F61, "aws__resources__streams__disk__finalize_spec");
      begin
         if E362 = 0 then
            F61;
         end if;
      end;
      E349 := E349 - 1;
      E351 := E351 - 1;
      declare
         procedure F62;
         pragma Import (Ada, F62, "aws__resources__streams__zlib__finalize_spec");
      begin
         if E351 = 0 then
            F62;
         end if;
      end;
      E353 := E353 - 1;
      declare
         procedure F63;
         pragma Import (Ada, F63, "aws__resources__streams__memory__finalize_spec");
      begin
         if E353 = 0 then
            F63;
         end if;
      end;
      declare
         procedure F64;
         pragma Import (Ada, F64, "aws__resources__streams__finalize_spec");
      begin
         if E349 = 0 then
            F64;
         end if;
      end;
      E235 := E235 - 1;
      declare
         procedure F65;
         pragma Import (Ada, F65, "aws__utils__finalize_spec");
      begin
         if E235 = 0 then
            F65;
         end if;
      end;
      declare
         procedure F66;
         pragma Import (Ada, F66, "templates_parser__finalize_body");
      begin
         E294 := E294 - 1;
         if E294 = 0 then
            F66;
         end if;
      end;
      declare
         procedure F67;
         pragma Import (Ada, F67, "templates_parser__finalize_spec");
      begin
         if E294 = 0 then
            F67;
         end if;
      end;
      declare
         procedure F68;
         pragma Import (Ada, F68, "templates_parser_tasking__finalize_body");
      begin
         E328 := E328 - 1;
         if E328 = 0 then
            F68;
         end if;
      end;
      declare
         procedure F69;
         pragma Import (Ada, F69, "matreshka__spikedog_deployment_descriptors__parsers__finalize_body");
      begin
         E884 := E884 - 1;
         if E884 = 0 then
            F69;
         end if;
      end;
      declare
         procedure F70;
         pragma Import (Ada, F70, "matreshka__spikedog_deployment_descriptors__parsers__finalize_spec");
      begin
         if E884 = 0 then
            F70;
         end if;
      end;
      declare
         procedure F71;
         pragma Import (Ada, F71, "matreshka__spikedog_deployment_descriptors__finalize_spec");
      begin
         E882 := E882 - 1;
         if E882 = 0 then
            F71;
         end if;
      end;
      E977 := E977 - 1;
      declare
         procedure F72;
         pragma Import (Ada, F72, "league__settings__finalize_spec");
      begin
         if E977 = 0 then
            F72;
         end if;
      end;
      declare
         procedure F73;
         pragma Import (Ada, F73, "matreshka__internals__settings__ini_managers__finalize_body");
      begin
         E982 := E982 - 1;
         if E982 = 0 then
            F73;
         end if;
      end;
      declare
         procedure F74;
         pragma Import (Ada, F74, "matreshka__internals__settings__ini_managers__finalize_spec");
      begin
         if E982 = 0 then
            F74;
         end if;
      end;
      declare
         procedure F75;
         pragma Import (Ada, F75, "matreshka__internals__settings__ini_files__finalize_body");
      begin
         E986 := E986 - 1;
         if E986 = 0 then
            F75;
         end if;
      end;
      declare
         procedure F76;
         pragma Import (Ada, F76, "matreshka__internals__settings__ini_files__finalize_spec");
      begin
         if E986 = 0 then
            F76;
         end if;
      end;
      E984 := E984 - 1;
      declare
         procedure F77;
         pragma Import (Ada, F77, "matreshka__internals__settings__fallbacks__finalize_spec");
      begin
         if E984 = 0 then
            F77;
         end if;
      end;
      declare
         procedure F78;
         pragma Import (Ada, F78, "league__application__finalize_body");
      begin
         E829 := E829 - 1;
         if E829 = 0 then
            F78;
         end if;
      end;
      E831 := E831 - 1;
      declare
         procedure F79;
         pragma Import (Ada, F79, "league__environment_variables__finalize_spec");
      begin
         if E831 = 0 then
            F79;
         end if;
      end;
      E408 := E408 - 1;
      declare
         procedure F80;
         pragma Import (Ada, F80, "aws__containers__tables__finalize_spec");
      begin
         if E408 = 0 then
            F80;
         end if;
      end;
      declare
         procedure F81;
         pragma Import (Ada, F81, "xml__sax__readers__finalize_spec");
      begin
         E955 := E955 - 1;
         if E955 = 0 then
            F81;
         end if;
      end;
      E950 := E950 - 1;
      declare
         procedure F82;
         pragma Import (Ada, F82, "xml__sax__default_handlers__finalize_spec");
      begin
         if E950 = 0 then
            F82;
         end if;
      end;
      E911 := E911 - 1;
      declare
         procedure F83;
         pragma Import (Ada, F83, "xml__sax__parse_exceptions__finalize_spec");
      begin
         if E911 = 0 then
            F83;
         end if;
      end;
      E891 := E891 - 1;
      declare
         procedure F84;
         pragma Import (Ada, F84, "xml__sax__locators__finalize_spec");
      begin
         if E891 = 0 then
            F84;
         end if;
      end;
      E898 := E898 - 1;
      declare
         procedure F85;
         pragma Import (Ada, F85, "xml__sax__input_sources__streams__finalize_spec");
      begin
         if E898 = 0 then
            F85;
         end if;
      end;
      declare
         procedure F86;
         pragma Import (Ada, F86, "xml__sax__input_sources__finalize_spec");
      begin
         E896 := E896 - 1;
         if E896 = 0 then
            F86;
         end if;
      end;
      E888 := E888 - 1;
      declare
         procedure F87;
         pragma Import (Ada, F87, "xml__sax__attributes__finalize_spec");
      begin
         if E888 = 0 then
            F87;
         end if;
      end;
      declare
         procedure F88;
         pragma Import (Ada, F88, "web_socket__listeners__finalize_spec");
      begin
         E999 := E999 - 1;
         if E999 = 0 then
            F88;
         end if;
      end;
      E966 := E966 - 1;
      declare
         procedure F89;
         pragma Import (Ada, F89, "matreshka__servlet_http_responses__finalize_spec");
      begin
         if E966 = 0 then
            F89;
         end if;
      end;
      E960 := E960 - 1;
      declare
         procedure F90;
         pragma Import (Ada, F90, "matreshka__servlet_http_requests__finalize_spec");
      begin
         if E960 = 0 then
            F90;
         end if;
      end;
      declare
         procedure F91;
         pragma Import (Ada, F91, "spikedog__http_session_managers__finalize_spec");
      begin
         E962 := E962 - 1;
         if E962 = 0 then
            F91;
         end if;
      end;
      E839 := E839 - 1;
      declare
         procedure F92;
         pragma Import (Ada, F92, "matreshka__servlet_defaults__finalize_spec");
      begin
         if E839 = 0 then
            F92;
         end if;
      end;
      E841 := E841 - 1;
      declare
         procedure F93;
         pragma Import (Ada, F93, "servlet__generic_servlets__finalize_spec");
      begin
         if E841 = 0 then
            F93;
         end if;
      end;
      declare
         procedure F94;
         pragma Import (Ada, F94, "servlet__responses__finalize_spec");
      begin
         E851 := E851 - 1;
         if E851 = 0 then
            F94;
         end if;
      end;
      E850 := E850 - 1;
      declare
         procedure F95;
         pragma Import (Ada, F95, "servlet__requests__finalize_spec");
      begin
         if E850 = 0 then
            F95;
         end if;
      end;
      declare
         procedure F96;
         pragma Import (Ada, F96, "servlet__context_listeners__finalize_spec");
      begin
         E968 := E968 - 1;
         if E968 = 0 then
            F96;
         end if;
      end;
      declare
         procedure F97;
         pragma Import (Ada, F97, "servlet__container_initializers__finalize_spec");
      begin
         E894 := E894 - 1;
         if E894 = 0 then
            F97;
         end if;
      end;
      E844 := E844 - 1;
      declare
         procedure F98;
         pragma Import (Ada, F98, "servlet__contexts__finalize_spec");
      begin
         if E844 = 0 then
            F98;
         end if;
      end;
      declare
         procedure F99;
         pragma Import (Ada, F99, "servlet__http_upgrade_handlers__finalize_spec");
      begin
         E879 := E879 - 1;
         if E879 = 0 then
            F99;
         end if;
      end;
      declare
         procedure F100;
         pragma Import (Ada, F100, "servlet__http_parameter_vectors__finalize_spec");
      begin
         E875 := E875 - 1;
         if E875 = 0 then
            F100;
         end if;
      end;
      E877 := E877 - 1;
      declare
         procedure F101;
         pragma Import (Ada, F101, "servlet__http_parameters__finalize_spec");
      begin
         if E877 = 0 then
            F101;
         end if;
      end;
      E872 := E872 - 1;
      declare
         procedure F102;
         pragma Import (Ada, F102, "servlet__http_cookie_sets__finalize_spec");
      begin
         if E872 = 0 then
            F102;
         end if;
      end;
      E874 := E874 - 1;
      declare
         procedure F103;
         pragma Import (Ada, F103, "servlet__http_cookies__finalize_spec");
      begin
         if E874 = 0 then
            F103;
         end if;
      end;
      declare
         procedure F104;
         pragma Import (Ada, F104, "servlet__event_listeners__finalize_spec");
      begin
         E845 := E845 - 1;
         if E845 = 0 then
            F104;
         end if;
      end;
      E865 := E865 - 1;
      declare
         procedure F105;
         pragma Import (Ada, F105, "matreshka__rfc2616_dates__finalize_spec");
      begin
         if E865 = 0 then
            F105;
         end if;
      end;
      E938 := E938 - 1;
      declare
         procedure F106;
         pragma Import (Ada, F106, "matreshka__internals__xml__base_scopes__finalize_spec");
      begin
         if E938 = 0 then
            F106;
         end if;
      end;
      E979 := E979 - 1;
      declare
         procedure F107;
         pragma Import (Ada, F107, "matreshka__internals__settings__finalize_spec");
      begin
         if E979 = 0 then
            F107;
         end if;
      end;
      E893 := E893 - 1;
      declare
         procedure F108;
         pragma Import (Ada, F108, "matreshka__internals__sax_locators__finalize_spec");
      begin
         if E893 = 0 then
            F108;
         end if;
      end;
      E857 := E857 - 1;
      declare
         procedure F109;
         pragma Import (Ada, F109, "league__calendars__iso_8601__finalize_spec");
      begin
         if E857 = 0 then
            F109;
         end if;
      end;
      E863 := E863 - 1;
      declare
         procedure F110;
         pragma Import (Ada, F110, "matreshka__internals__calendars__formatting__times__finalize_spec");
      begin
         if E863 = 0 then
            F110;
         end if;
      end;
      E861 := E861 - 1;
      declare
         procedure F111;
         pragma Import (Ada, F111, "matreshka__internals__calendars__formatting__iso_8601__finalize_spec");
      begin
         if E861 = 0 then
            F111;
         end if;
      end;
      E833 := E833 - 1;
      declare
         procedure F112;
         pragma Import (Ada, F112, "league__text_codecs__finalize_spec");
      begin
         if E833 = 0 then
            F112;
         end if;
      end;
      E869 := E869 - 1;
      declare
         procedure F113;
         pragma Import (Ada, F113, "league__iris__finalize_spec");
      begin
         if E869 = 0 then
            F113;
         end if;
      end;
      E740 := E740 - 1;
      E734 := E734 - 1;
      E682 := E682 - 1;
      E517 := E517 - 1;
      E678 := E678 - 1;
      declare
         procedure F114;
         pragma Import (Ada, F114, "league__json__streams__finalize_spec");
      begin
         if E678 = 0 then
            F114;
         end if;
      end;
      declare
         procedure F115;
         pragma Import (Ada, F115, "league__json__arrays__finalize_body");
      begin
         E680 := E680 - 1;
         if E680 = 0 then
            F115;
         end if;
      end;
      declare
         procedure F116;
         pragma Import (Ada, F116, "league__json__values__finalize_spec");
      begin
         if E740 = 0 then
            F116;
         end if;
      end;
      declare
         procedure F117;
         pragma Import (Ada, F117, "league__json__documents__finalize_spec");
      begin
         if E682 = 0 then
            F117;
         end if;
      end;
      declare
         procedure F118;
         pragma Import (Ada, F118, "league__json__arrays__finalize_spec");
      begin
         if E680 = 0 then
            F118;
         end if;
      end;
      declare
         procedure F119;
         pragma Import (Ada, F119, "league__json__objects__finalize_spec");
      begin
         if E734 = 0 then
            F119;
         end if;
      end;
      declare
         procedure F120;
         pragma Import (Ada, F120, "league__holders__finalize_body");
      begin
         E688 := E688 - 1;
         if E688 = 0 then
            F120;
         end if;
      end;
      E686 := E686 - 1;
      declare
         procedure F121;
         pragma Import (Ada, F121, "matreshka__json_types__finalize_spec");
      begin
         if E686 = 0 then
            F121;
         end if;
      end;
      E758 := E758 - 1;
      E770 := E770 - 1;
      declare
         procedure F122;
         pragma Import (Ada, F122, "league__holders__finalize_spec");
      begin
         if E688 = 0 then
            F122;
         end if;
      end;
      declare
         procedure F123;
         pragma Import (Ada, F123, "league__string_vectors__finalize_spec");
      begin
         if E758 = 0 then
            F123;
         end if;
      end;
      E772 := E772 - 1;
      declare
         procedure F124;
         pragma Import (Ada, F124, "matreshka__internals__text_codecs__ascii__finalize_spec");
      begin
         if E772 = 0 then
            F124;
         end if;
      end;
      E777 := E777 - 1;
      declare
         procedure F125;
         pragma Import (Ada, F125, "matreshka__internals__text_codecs__ibm437__finalize_spec");
      begin
         if E777 = 0 then
            F125;
         end if;
      end;
      E779 := E779 - 1;
      declare
         procedure F126;
         pragma Import (Ada, F126, "matreshka__internals__text_codecs__iso88591__finalize_spec");
      begin
         if E779 = 0 then
            F126;
         end if;
      end;
      E781 := E781 - 1;
      declare
         procedure F127;
         pragma Import (Ada, F127, "matreshka__internals__text_codecs__iso88595__finalize_spec");
      begin
         if E781 = 0 then
            F127;
         end if;
      end;
      E783 := E783 - 1;
      declare
         procedure F128;
         pragma Import (Ada, F128, "matreshka__internals__text_codecs__koi8r__finalize_spec");
      begin
         if E783 = 0 then
            F128;
         end if;
      end;
      E785 := E785 - 1;
      declare
         procedure F129;
         pragma Import (Ada, F129, "matreshka__internals__text_codecs__koi8u__finalize_spec");
      begin
         if E785 = 0 then
            F129;
         end if;
      end;
      E787 := E787 - 1;
      declare
         procedure F130;
         pragma Import (Ada, F130, "matreshka__internals__text_codecs__shiftjis__finalize_spec");
      begin
         if E787 = 0 then
            F130;
         end if;
      end;
      E790 := E790 - 1;
      declare
         procedure F131;
         pragma Import (Ada, F131, "matreshka__internals__text_codecs__utf16__finalize_spec");
      begin
         if E790 = 0 then
            F131;
         end if;
      end;
      E792 := E792 - 1;
      declare
         procedure F132;
         pragma Import (Ada, F132, "matreshka__internals__text_codecs__utf8__finalize_spec");
      begin
         if E792 = 0 then
            F132;
         end if;
      end;
      E794 := E794 - 1;
      declare
         procedure F133;
         pragma Import (Ada, F133, "matreshka__internals__text_codecs__windows1250__finalize_spec");
      begin
         if E794 = 0 then
            F133;
         end if;
      end;
      E796 := E796 - 1;
      declare
         procedure F134;
         pragma Import (Ada, F134, "matreshka__internals__text_codecs__windows1251__finalize_spec");
      begin
         if E796 = 0 then
            F134;
         end if;
      end;
      E798 := E798 - 1;
      declare
         procedure F135;
         pragma Import (Ada, F135, "matreshka__internals__text_codecs__windows1252__finalize_spec");
      begin
         if E798 = 0 then
            F135;
         end if;
      end;
      declare
         procedure F136;
         pragma Import (Ada, F136, "matreshka__internals__text_codecs__finalize_spec");
      begin
         if E770 = 0 then
            F136;
         end if;
      end;
      declare
         procedure F137;
         pragma Import (Ada, F137, "league__strings__finalize_spec");
      begin
         if E517 = 0 then
            F137;
         end if;
      end;
      E701 := E701 - 1;
      E708 := E708 - 1;
      declare
         procedure F138;
         pragma Import (Ada, F138, "matreshka__internals__strings__handlers__x86__finalize_spec");
      begin
         if E708 = 0 then
            F138;
         end if;
      end;
      declare
         procedure F139;
         pragma Import (Ada, F139, "matreshka__internals__strings__handlers__portable__finalize_spec");
      begin
         if E701 = 0 then
            F139;
         end if;
      end;
      declare
         procedure F140;
         pragma Import (Ada, F140, "matreshka__servlet_servers__finalize_spec");
      begin
         E967 := E967 - 1;
         if E967 = 0 then
            F140;
         end if;
      end;
      E807 := E807 - 1;
      declare
         procedure F141;
         pragma Import (Ada, F141, "matreshka__internals__locales__finalize_spec");
      begin
         if E807 = 0 then
            F141;
         end if;
      end;
      E519 := E519 - 1;
      declare
         procedure F142;
         pragma Import (Ada, F142, "league__characters__finalize_spec");
      begin
         if E519 = 0 then
            F142;
         end if;
      end;
      E764 := E764 - 1;
      declare
         procedure F143;
         pragma Import (Ada, F143, "league__stream_element_vectors__finalize_spec");
      begin
         if E764 = 0 then
            F143;
         end if;
      end;
      E973 := E973 - 1;
      declare
         procedure F144;
         pragma Import (Ada, F144, "ada__synchronous_task_control__finalize_spec");
      begin
         if E973 = 0 then
            F144;
         end if;
      end;
      E167 := E167 - 1;
      declare
         procedure F145;
         pragma Import (Ada, F145, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E167 = 0 then
            F145;
         end if;
      end;
      E173 := E173 - 1;
      declare
         procedure F146;
         pragma Import (Ada, F146, "ada__directories__finalize_spec");
      begin
         if E173 = 0 then
            F146;
         end if;
      end;
      E217 := E217 - 1;
      declare
         procedure F147;
         pragma Import (Ada, F147, "system__regexp__finalize_spec");
      begin
         if E217 = 0 then
            F147;
         end if;
      end;
      declare
         procedure F148;
         pragma Import (Ada, F148, "gnat__sockets__finalize_body");
      begin
         E378 := E378 - 1;
         if E378 = 0 then
            F148;
         end if;
      end;
      declare
         procedure F149;
         pragma Import (Ada, F149, "gnat__sockets__finalize_spec");
      begin
         if E378 = 0 then
            F149;
         end if;
      end;
      E388 := E388 - 1;
      declare
         procedure F150;
         pragma Import (Ada, F150, "system__pool_size__finalize_spec");
      begin
         if E388 = 0 then
            F150;
         end if;
      end;
      E317 := E317 - 1;
      declare
         procedure F151;
         pragma Import (Ada, F151, "system__pool_global__finalize_spec");
      begin
         if E317 = 0 then
            F151;
         end if;
      end;
      E105 := E105 - 1;
      declare
         procedure F152;
         pragma Import (Ada, F152, "ada__text_io__finalize_spec");
      begin
         if E105 = 0 then
            F152;
         end if;
      end;
      E195 := E195 - 1;
      declare
         procedure F153;
         pragma Import (Ada, F153, "ada__strings__unbounded__finalize_spec");
      begin
         if E195 = 0 then
            F153;
         end if;
      end;
      E201 := E201 - 1;
      declare
         procedure F154;
         pragma Import (Ada, F154, "system__storage_pools__subpools__finalize_spec");
      begin
         if E201 = 0 then
            F154;
         end if;
      end;
      E203 := E203 - 1;
      declare
         procedure F155;
         pragma Import (Ada, F155, "system__finalization_masters__finalize_spec");
      begin
         if E203 = 0 then
            F155;
         end if;
      end;
      E259 := E259 - 1;
      declare
         procedure F156;
         pragma Import (Ada, F156, "ada__streams__stream_io__finalize_spec");
      begin
         if E259 = 0 then
            F156;
         end if;
      end;
      declare
         procedure F157;
         pragma Import (Ada, F157, "system__file_io__finalize_body");
      begin
         E111 := E111 - 1;
         if E111 = 0 then
            F157;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure adafinal is
      procedure s_stalib_adafinal;
      pragma Import (C, s_stalib_adafinal, "system__standard_library__adafinal");

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      s_stalib_adafinal;
   end adafinal;

   type No_Param_Proc is access procedure;

   procedure adainit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Exception_Tracebacks : Integer;
      pragma Import (C, Exception_Tracebacks, "__gl_exception_tracebacks");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Leap_Seconds_Support : Integer;
      pragma Import (C, Leap_Seconds_Support, "__gl_leap_seconds_support");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := '8';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, True, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (True, True, False, True, True, True, True, False, 
           True, False, False, True, True, True, True, False, 
           False, True, False, False, True, True, False, True, 
           True, False, True, True, True, True, False, True, 
           False, True, False, True, False, True, True, False, 
           True, True, True, True, False, True, True, True, 
           True, False, False, True, False, True, True, True, 
           False, False, False, True, True, True, True, True, 
           True, True, True, False, True, True, True, False, 
           True, True, False, True, True, True, True, False, 
           True, True, False, False, False, True, True, True, 
           True, False, True, False),
         Count => (0, 0, 0, 6, 3, 2, 6, 0, 19, 0),
         Unknown => (False, False, False, False, False, False, True, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Exception_Tracebacks := 1;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;
      Leap_Seconds_Support := 0;

      ada_main'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      Finalize_Library_Objects := finalize_library'access;

      if E011 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E023 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E023 := E023 + 1;
      if E068 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E068 := E068 + 1;
      if E053 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E053 := E053 + 1;
      if E038 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E038 := E038 + 1;
      if E025 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E025 := E025 + 1;
      if E073 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E073 := E073 + 1;
      if E055 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      if E059 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E059 := E059 + 1;
      if E043 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      if E019 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E019 := E019 + 1;
      E011 := E011 + 1;
      E055 := E055 + 1;
      E043 := E043 + 1;
      if E079 = 0 then
         System.Object_Reader'Elab_Spec;
      end if;
      if E048 = 0 then
         System.Dwarf_Lines'Elab_Spec;
      end if;
      E048 := E048 + 1;
      if E037 = 0 then
         System.Traceback.Symbolic'Elab_Body;
      end if;
      E037 := E037 + 1;
      E079 := E079 + 1;
      if E252 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E252 := E252 + 1;
      if E824 = 0 then
         Ada.Strings.Utf_Encoding'Elab_Spec;
      end if;
      E824 := E824 + 1;
      if E271 = 0 then
         Gnat'Elab_Spec;
      end if;
      E271 := E271 + 1;
      if E221 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E221 := E221 + 1;
      if E139 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E139 := E139 + 1;
      if E133 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E133 := E133 + 1;
      if E097 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E097 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E097 := E097 + 1;
      if E107 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E107 := E107 + 1;
      if E115 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E115 := E115 + 1;
      if E114 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E114 := E114 + 1;
      if E112 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E112 := E112 + 1;
      if E111 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E111 := E111 + 1;
      if E259 = 0 then
         Ada.Streams.Stream_Io'Elab_Spec;
      end if;
      E259 := E259 + 1;
      if E207 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E207 := E207 + 1;
      if E203 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E203 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E203 := E203 + 1;
      if E201 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E201 := E201 + 1;
      if E195 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E195 := E195 + 1;
      if E313 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E313 := E313 + 1;
      if E122 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E122 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E122 := E122 + 1;
      if E120 = 0 then
         Ada.Calendar.Delays'Elab_Body;
      end if;
      E120 := E120 + 1;
      if E177 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E177 := E177 + 1;
      if E231 = 0 then
         Ada.Real_Time'Elab_Spec;
      end if;
      if E231 = 0 then
         Ada.Real_Time'Elab_Body;
      end if;
      E231 := E231 + 1;
      if E105 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E105 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E105 := E105 + 1;
      if E305 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E305 := E305 + 1;
      if E308 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E308 := E308 + 1;
      E975 := E975 + 1;
      E420 := E420 + 1;
      E422 := E422 + 1;
      if E418 = 0 then
         Gnat.Md5'Elab_Spec;
      end if;
      E418 := E418 + 1;
      E450 := E450 + 1;
      E456 := E456 + 1;
      E454 := E454 + 1;
      if E448 = 0 then
         Gnat.Sha1'Elab_Spec;
      end if;
      E448 := E448 + 1;
      if E452 = 0 then
         Gnat.Sha256'Elab_Spec;
      end if;
      E452 := E452 + 1;
      if E276 = 0 then
         System.Assertions'Elab_Spec;
      end if;
      E276 := E276 + 1;
      if E317 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E317 := E317 + 1;
      if E388 = 0 then
         System.Pool_Size'Elab_Spec;
      end if;
      E388 := E388 + 1;
      if E378 = 0 then
         Gnat.Sockets'Elab_Spec;
      end if;
      E386 := E386 + 1;
      E381 := E381 + 1;
      if E378 = 0 then
         Gnat.Sockets'Elab_Body;
      end if;
      E378 := E378 + 1;
      if E286 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E286 := E286 + 1;
      if E217 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E217 := E217 + 1;
      if E173 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E173 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E173 := E173 + 1;
      if E155 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E155 := E155 + 1;
      if E165 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E165 := E165 + 1;
      if E167 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E167 := E167 + 1;
      if E163 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E163 := E163 + 1;
      if E973 = 0 then
         Ada.Synchronous_Task_Control'Elab_Spec;
      end if;
      E973 := E973 + 1;
      if E368 = 0 then
         System.Tasking.Stages'Elab_Body;
      end if;
      E368 := E368 + 1;
      if E391 = 0 then
         AWS.DEFAULT'ELAB_SPEC;
      end if;
      E391 := E391 + 1;
      if E724 = 0 then
         Matreshka.Internals.Calendars'Elab_Spec;
      end if;
      E724 := E724 + 1;
      if E723 = 0 then
         League.Calendars'Elab_Spec;
      end if;
      E723 := E723 + 1;
      if E766 = 0 then
         Matreshka.Internals.Stream_Element_Vectors'Elab_Spec;
      end if;
      E766 := E766 + 1;
      if E764 = 0 then
         League.Stream_Element_Vectors'Elab_Spec;
      end if;
      if E764 = 0 then
         League.Stream_Element_Vectors'Elab_Body;
      end if;
      E764 := E764 + 1;
      if E519 = 0 then
         League.Characters'Elab_Spec;
      end if;
      if E519 = 0 then
         League.Characters'Elab_Body;
      end if;
      E519 := E519 + 1;
      if E807 = 0 then
         Matreshka.Internals.Locales'Elab_Spec;
      end if;
      if E808 = 0 then
         Matreshka.Internals.Locales.Defaults'Elab_Spec;
      end if;
      E808 := E808 + 1;
      E807 := E807 + 1;
      if E967 = 0 then
         Matreshka.Servlet_Servers'Elab_Spec;
      end if;
      E967 := E967 + 1;
      if E692 = 0 then
         Matreshka.Internals.Strings'Elab_Spec;
      end if;
      if E699 = 0 then
         Matreshka.Internals.Strings.Handlers'Elab_Spec;
      end if;
      if E699 = 0 then
         Matreshka.Internals.Strings.Handlers'Elab_Body;
      end if;
      E699 := E699 + 1;
      if E701 = 0 then
         Matreshka.Internals.Strings.Handlers.Portable'Elab_Spec;
      end if;
      if E708 = 0 then
         Matreshka.Internals.Strings.Handlers.X86'Elab_Spec;
      end if;
      if E708 = 0 then
         Matreshka.Internals.Strings.Handlers.X86'Elab_Body;
      end if;
      E708 := E708 + 1;
      if E701 = 0 then
         Matreshka.Internals.Strings.Handlers.Portable'Elab_Body;
      end if;
      E701 := E701 + 1;
      if E717 = 0 then
         Matreshka.Internals.Strings.Handlers.X86.Sse2_Popcnt'Elab_Spec;
      end if;
      E717 := E717 + 1;
      E692 := E692 + 1;
      if E710 = 0 then
         Matreshka.Internals.Strings.Handlers.X86.Sse2'Elab_Spec;
      end if;
      E710 := E710 + 1;
      if E762 = 0 then
         Matreshka.Internals.String_Vectors'Elab_Spec;
      end if;
      E762 := E762 + 1;
      if E517 = 0 then
         League.Strings'Elab_Spec;
      end if;
      if E770 = 0 then
         Matreshka.Internals.Text_Codecs'Elab_Spec;
      end if;
      if E798 = 0 then
         Matreshka.Internals.Text_Codecs.Windows1252'Elab_Spec;
      end if;
      if E798 = 0 then
         Matreshka.Internals.Text_Codecs.Windows1252'Elab_Body;
      end if;
      E798 := E798 + 1;
      if E796 = 0 then
         Matreshka.Internals.Text_Codecs.Windows1251'Elab_Spec;
      end if;
      if E796 = 0 then
         Matreshka.Internals.Text_Codecs.Windows1251'Elab_Body;
      end if;
      E796 := E796 + 1;
      if E794 = 0 then
         Matreshka.Internals.Text_Codecs.Windows1250'Elab_Spec;
      end if;
      if E794 = 0 then
         Matreshka.Internals.Text_Codecs.Windows1250'Elab_Body;
      end if;
      E794 := E794 + 1;
      if E792 = 0 then
         Matreshka.Internals.Text_Codecs.Utf8'Elab_Spec;
      end if;
      if E792 = 0 then
         Matreshka.Internals.Text_Codecs.Utf8'Elab_Body;
      end if;
      E792 := E792 + 1;
      if E790 = 0 then
         Matreshka.Internals.Text_Codecs.Utf16'Elab_Spec;
      end if;
      if E790 = 0 then
         Matreshka.Internals.Text_Codecs.Utf16'Elab_Body;
      end if;
      E790 := E790 + 1;
      if E787 = 0 then
         Matreshka.Internals.Text_Codecs.Shiftjis'Elab_Spec;
      end if;
      if E787 = 0 then
         Matreshka.Internals.Text_Codecs.Shiftjis'Elab_Body;
      end if;
      E787 := E787 + 1;
      if E785 = 0 then
         Matreshka.Internals.Text_Codecs.Koi8u'Elab_Spec;
      end if;
      if E785 = 0 then
         Matreshka.Internals.Text_Codecs.Koi8u'Elab_Body;
      end if;
      E785 := E785 + 1;
      if E783 = 0 then
         Matreshka.Internals.Text_Codecs.Koi8r'Elab_Spec;
      end if;
      if E783 = 0 then
         Matreshka.Internals.Text_Codecs.Koi8r'Elab_Body;
      end if;
      E783 := E783 + 1;
      if E781 = 0 then
         Matreshka.Internals.Text_Codecs.Iso88595'Elab_Spec;
      end if;
      if E781 = 0 then
         Matreshka.Internals.Text_Codecs.Iso88595'Elab_Body;
      end if;
      E781 := E781 + 1;
      if E779 = 0 then
         Matreshka.Internals.Text_Codecs.Iso88591'Elab_Spec;
      end if;
      if E779 = 0 then
         Matreshka.Internals.Text_Codecs.Iso88591'Elab_Body;
      end if;
      E779 := E779 + 1;
      if E777 = 0 then
         Matreshka.Internals.Text_Codecs.Ibm437'Elab_Spec;
      end if;
      if E777 = 0 then
         Matreshka.Internals.Text_Codecs.Ibm437'Elab_Body;
      end if;
      E777 := E777 + 1;
      if E775 = 0 then
         Matreshka.Internals.Text_Codecs.Iana_Registry'Elab_Spec;
      end if;
      E775 := E775 + 1;
      if E772 = 0 then
         Matreshka.Internals.Text_Codecs.Ascii'Elab_Spec;
      end if;
      if E772 = 0 then
         Matreshka.Internals.Text_Codecs.Ascii'Elab_Body;
      end if;
      E772 := E772 + 1;
      if E758 = 0 then
         League.String_Vectors'Elab_Spec;
      end if;
      if E688 = 0 then
         League.Holders'Elab_Spec;
      end if;
      if E742 = 0 then
         League.Holders.Booleans'Elab_Spec;
      end if;
      E742 := E742 + 1;
      E770 := E770 + 1;
      if E758 = 0 then
         League.String_Vectors'Elab_Body;
      end if;
      E758 := E758 + 1;
      if E686 = 0 then
         Matreshka.Json_Types'Elab_Spec;
      end if;
      if E738 = 0 then
         Matreshka.Json_Documents'Elab_Spec;
      end if;
      E738 := E738 + 1;
      E686 := E686 + 1;
      if E688 = 0 then
         League.Holders'Elab_Body;
      end if;
      E688 := E688 + 1;
      if E734 = 0 then
         League.Json.Objects'Elab_Spec;
      end if;
      if E680 = 0 then
         League.Json.Arrays'Elab_Spec;
      end if;
      if E746 = 0 then
         League.Holders.Json_Arrays'Elab_Spec;
      end if;
      E746 := E746 + 1;
      if E750 = 0 then
         League.Holders.Json_Objects'Elab_Spec;
      end if;
      E750 := E750 + 1;
      if E682 = 0 then
         League.Json.Documents'Elab_Spec;
      end if;
      if E740 = 0 then
         League.Json.Values'Elab_Spec;
      end if;
      if E680 = 0 then
         League.Json.Arrays'Elab_Body;
      end if;
      E680 := E680 + 1;
      if E678 = 0 then
         League.Json.Streams'Elab_Spec;
      end if;
      if E678 = 0 then
         League.Json.Streams'Elab_Body;
      end if;
      E678 := E678 + 1;
      if E517 = 0 then
         League.Strings'Elab_Body;
      end if;
      E517 := E517 + 1;
      if E682 = 0 then
         League.Json.Documents'Elab_Body;
      end if;
      E682 := E682 + 1;
      E734 := E734 + 1;
      if E740 = 0 then
         League.Json.Values'Elab_Body;
      end if;
      E740 := E740 + 1;
      if E869 = 0 then
         League.Iris'Elab_Spec;
      end if;
      if E869 = 0 then
         League.Iris'Elab_Body;
      end if;
      E869 := E869 + 1;
      if E833 = 0 then
         League.Text_Codecs'Elab_Spec;
      end if;
      if E833 = 0 then
         League.Text_Codecs'Elab_Body;
      end if;
      E833 := E833 + 1;
      if E859 = 0 then
         Matreshka.Internals.Calendars.Formatting'Elab_Spec;
      end if;
      E859 := E859 + 1;
      if E861 = 0 then
         Matreshka.Internals.Calendars.Formatting.Iso_8601'Elab_Spec;
      end if;
      if E861 = 0 then
         Matreshka.Internals.Calendars.Formatting.Iso_8601'Elab_Body;
      end if;
      E861 := E861 + 1;
      if E863 = 0 then
         Matreshka.Internals.Calendars.Formatting.Times'Elab_Spec;
      end if;
      if E863 = 0 then
         Matreshka.Internals.Calendars.Formatting.Times'Elab_Body;
      end if;
      E863 := E863 + 1;
      if E857 = 0 then
         League.Calendars.Iso_8601'Elab_Spec;
      end if;
      if E857 = 0 then
         League.Calendars.Iso_8601'Elab_Body;
      end if;
      E857 := E857 + 1;
      if E893 = 0 then
         Matreshka.Internals.Sax_Locators'Elab_Spec;
      end if;
      E893 := E893 + 1;
      if E979 = 0 then
         Matreshka.Internals.Settings'Elab_Spec;
      end if;
      E979 := E979 + 1;
      if E938 = 0 then
         Matreshka.Internals.Xml.Base_Scopes'Elab_Spec;
      end if;
      E938 := E938 + 1;
      if E865 = 0 then
         Matreshka.Rfc2616_Dates'Elab_Spec;
      end if;
      if E865 = 0 then
         Matreshka.Rfc2616_Dates'Elab_Body;
      end if;
      E865 := E865 + 1;
      if E825 = 0 then
         Servlet'Elab_Spec;
      end if;
      E825 := E825 + 1;
      if E845 = 0 then
         Servlet.Event_Listeners'Elab_Spec;
      end if;
      E845 := E845 + 1;
      if E874 = 0 then
         Servlet.Http_Cookies'Elab_Spec;
      end if;
      if E874 = 0 then
         Servlet.Http_Cookies'Elab_Body;
      end if;
      E874 := E874 + 1;
      if E872 = 0 then
         Servlet.Http_Cookie_Sets'Elab_Spec;
      end if;
      E872 := E872 + 1;
      if E877 = 0 then
         Servlet.Http_Parameters'Elab_Spec;
      end if;
      if E877 = 0 then
         Servlet.Http_Parameters'Elab_Body;
      end if;
      E877 := E877 + 1;
      if E875 = 0 then
         Servlet.Http_Parameter_Vectors'Elab_Spec;
      end if;
      E875 := E875 + 1;
      if E878 = 0 then
         Servlet.Http_Sessions'Elab_Spec;
      end if;
      E878 := E878 + 1;
      if E879 = 0 then
         Servlet.Http_Upgrade_Handlers'Elab_Spec;
      end if;
      E879 := E879 + 1;
      if E847 = 0 then
         Servlet.Servlet_Registrations'Elab_Spec;
      end if;
      E847 := E847 + 1;
      if E844 = 0 then
         Servlet.Contexts'Elab_Spec;
      end if;
      E844 := E844 + 1;
      if E842 = 0 then
         Servlet.Configs'Elab_Spec;
      end if;
      E842 := E842 + 1;
      if E894 = 0 then
         Servlet.Container_Initializers'Elab_Spec;
      end if;
      E894 := E894 + 1;
      if E968 = 0 then
         Servlet.Context_Listeners'Elab_Spec;
      end if;
      E968 := E968 + 1;
      if E850 = 0 then
         Servlet.Requests'Elab_Spec;
      end if;
      E850 := E850 + 1;
      if E867 = 0 then
         Servlet.Http_Requests'Elab_Spec;
      end if;
      E867 := E867 + 1;
      if E853 = 0 then
         Servlet.Write_Listeners'Elab_Spec;
      end if;
      E853 := E853 + 1;
      if E852 = 0 then
         Servlet.Output_Streams'Elab_Spec;
      end if;
      E852 := E852 + 1;
      if E851 = 0 then
         Servlet.Responses'Elab_Spec;
      end if;
      E851 := E851 + 1;
      if E881 = 0 then
         Servlet.Http_Responses'Elab_Spec;
      end if;
      E881 := E881 + 1;
      if E848 = 0 then
         Servlet.Servlets'Elab_Spec;
      end if;
      E848 := E848 + 1;
      if E841 = 0 then
         Servlet.Generic_Servlets'Elab_Spec;
      end if;
      if E841 = 0 then
         Servlet.Generic_Servlets'Elab_Body;
      end if;
      E841 := E841 + 1;
      if E855 = 0 then
         Servlet.Http_Servlets'Elab_Spec;
      end if;
      if E855 = 0 then
         Servlet.Http_Servlets'Elab_Body;
      end if;
      E855 := E855 + 1;
      if E839 = 0 then
         Matreshka.Servlet_Defaults'Elab_Spec;
      end if;
      if E839 = 0 then
         Matreshka.Servlet_Defaults'Elab_Body;
      end if;
      E839 := E839 + 1;
      if E962 = 0 then
         Spikedog.Http_Session_Managers'Elab_Spec;
      end if;
      E962 := E962 + 1;
      if E960 = 0 then
         Matreshka.Servlet_Http_Requests'Elab_Spec;
      end if;
      if E960 = 0 then
         Matreshka.Servlet_Http_Requests'Elab_Body;
      end if;
      E960 := E960 + 1;
      if E966 = 0 then
         Matreshka.Servlet_Http_Responses'Elab_Spec;
      end if;
      if E966 = 0 then
         Matreshka.Servlet_Http_Responses'Elab_Body;
      end if;
      E966 := E966 + 1;
      if E969 = 0 then
         Spikedog.Servlet_Contexts'Elab_Spec;
      end if;
      E969 := E969 + 1;
      if E999 = 0 then
         Web_Socket.Listeners'Elab_Spec;
      end if;
      E999 := E999 + 1;
      if E998 = 0 then
         Web_Socket.Connections'Elab_Spec;
      end if;
      E998 := E998 + 1;
      if E997 = 0 then
         Web_Socket.Handlers'Elab_Spec;
      end if;
      if E997 = 0 then
         Web_Socket.Handlers'Elab_Body;
      end if;
      E997 := E997 + 1;
      if E888 = 0 then
         XML.SAX.ATTRIBUTES'ELAB_SPEC;
      end if;
      E888 := E888 + 1;
      if E951 = 0 then
         XML.SAX.DECLARATION_HANDLERS'ELAB_SPEC;
      end if;
      E951 := E951 + 1;
      if E952 = 0 then
         XML.SAX.DTD_HANDLERS'ELAB_SPEC;
      end if;
      E952 := E952 + 1;
      if E896 = 0 then
         XML.SAX.INPUT_SOURCES'ELAB_SPEC;
      end if;
      E896 := E896 + 1;
      if E956 = 0 then
         XML.SAX.ENTITY_RESOLVERS'ELAB_SPEC;
      end if;
      E956 := E956 + 1;
      if E898 = 0 then
         XML.SAX.INPUT_SOURCES.STREAMS'ELAB_SPEC;
      end if;
      if E898 = 0 then
         XML.SAX.INPUT_SOURCES.STREAMS'ELAB_BODY;
      end if;
      E898 := E898 + 1;
      if E954 = 0 then
         XML.SAX.LEXICAL_HANDLERS'ELAB_SPEC;
      end if;
      E954 := E954 + 1;
      if E891 = 0 then
         XML.SAX.LOCATORS'ELAB_SPEC;
      end if;
      E891 := E891 + 1;
      if E889 = 0 then
         XML.SAX.CONTENT_HANDLERS'ELAB_SPEC;
      end if;
      E889 := E889 + 1;
      if E911 = 0 then
         XML.SAX.PARSE_EXCEPTIONS'ELAB_SPEC;
      end if;
      E911 := E911 + 1;
      if E953 = 0 then
         XML.SAX.ERROR_HANDLERS'ELAB_SPEC;
      end if;
      E953 := E953 + 1;
      if E950 = 0 then
         XML.SAX.DEFAULT_HANDLERS'ELAB_SPEC;
      end if;
      if E950 = 0 then
         XML.SAX.DEFAULT_HANDLERS'ELAB_BODY;
      end if;
      E950 := E950 + 1;
      if E955 = 0 then
         XML.SAX.READERS'ELAB_SPEC;
      end if;
      E955 := E955 + 1;
      if E444 = 0 then
         AWS.CONTAINERS.KEY_VALUE'ELAB_SPEC;
      end if;
      E444 := E444 + 1;
      if E395 = 0 then
         AWS.CONTAINERS.STRING_VECTORS'ELAB_SPEC;
      end if;
      E395 := E395 + 1;
      if E408 = 0 then
         AWS.CONTAINERS.TABLES'ELAB_SPEC;
      end if;
      if E408 = 0 then
         AWS.CONTAINERS.TABLES'ELAB_BODY;
      end if;
      E408 := E408 + 1;
      if E831 = 0 then
         League.Environment_Variables'Elab_Spec;
      end if;
      if E831 = 0 then
         League.Environment_Variables'Elab_Body;
      end if;
      E831 := E831 + 1;
      if E829 = 0 then
         League.Application'Elab_Body;
      end if;
      E829 := E829 + 1;
      if E984 = 0 then
         Matreshka.Internals.Settings.Fallbacks'Elab_Spec;
      end if;
      if E984 = 0 then
         Matreshka.Internals.Settings.Fallbacks'Elab_Body;
      end if;
      E984 := E984 + 1;
      if E986 = 0 then
         Matreshka.Internals.Settings.Ini_Files'Elab_Spec;
      end if;
      if E986 = 0 then
         Matreshka.Internals.Settings.Ini_Files'Elab_Body;
      end if;
      E986 := E986 + 1;
      if E982 = 0 then
         Matreshka.Internals.Settings.Ini_Managers'Elab_Spec;
      end if;
      if E982 = 0 then
         Matreshka.Internals.Settings.Ini_Managers'Elab_Body;
      end if;
      E982 := E982 + 1;
      if E977 = 0 then
         League.Settings'Elab_Spec;
      end if;
      if E980 = 0 then
         Matreshka.Internals.Settings.Configuration'Elab_Spec;
      end if;
      E980 := E980 + 1;
      if E977 = 0 then
         League.Settings'Elab_Body;
      end if;
      E977 := E977 + 1;
      if E882 = 0 then
         Matreshka.Spikedog_Deployment_Descriptors'Elab_Spec;
      end if;
      E882 := E882 + 1;
      if E884 = 0 then
         Matreshka.Spikedog_Deployment_Descriptors.Parsers'Elab_Spec;
      end if;
      if E884 = 0 then
         Matreshka.Spikedog_Deployment_Descriptors.Parsers'Elab_Body;
      end if;
      E884 := E884 + 1;
      E358 := E358 + 1;
      if E364 = 0 then
         SSL.THIN'ELAB_SPEC;
      end if;
      E364 := E364 + 1;
      if E328 = 0 then
         Templates_Parser_Tasking'Elab_Body;
      end if;
      E328 := E328 + 1;
      if E294 = 0 then
         Templates_Parser'Elab_Spec;
      end if;
      if E326 = 0 then
         Templates_Parser.Utils'Elab_Spec;
      end if;
      E326 := E326 + 1;
      if E324 = 0 then
         Templates_Parser.Input'Elab_Spec;
      end if;
      E324 := E324 + 1;
      if E294 = 0 then
         Templates_Parser'Elab_Body;
      end if;
      E294 := E294 + 1;
      if E235 = 0 then
         AWS.UTILS'ELAB_SPEC;
      end if;
      if E235 = 0 then
         AWS.UTILS'ELAB_BODY;
      end if;
      E235 := E235 + 1;
      if E345 = 0 then
         AWS.RESOURCES'ELAB_SPEC;
      end if;
      if E349 = 0 then
         AWS.RESOURCES.STREAMS'ELAB_SPEC;
      end if;
      if E353 = 0 then
         AWS.RESOURCES.STREAMS.MEMORY'ELAB_SPEC;
      end if;
      if E353 = 0 then
         AWS.RESOURCES.STREAMS.MEMORY'ELAB_BODY;
      end if;
      E353 := E353 + 1;
      if E351 = 0 then
         AWS.RESOURCES.STREAMS.ZLIB'ELAB_SPEC;
      end if;
      if E351 = 0 then
         AWS.RESOURCES.STREAMS.ZLIB'ELAB_BODY;
      end if;
      E351 := E351 + 1;
      if E349 = 0 then
         AWS.RESOURCES.STREAMS'ELAB_BODY;
      end if;
      E349 := E349 + 1;
      if E362 = 0 then
         AWS.RESOURCES.STREAMS.DISK'ELAB_SPEC;
      end if;
      E360 := E360 + 1;
      E345 := E345 + 1;
      if E347 = 0 then
         AWS.RESOURCES.EMBEDDED'ELAB_BODY;
      end if;
      E347 := E347 + 1;
      if E362 = 0 then
         AWS.RESOURCES.STREAMS.DISK'ELAB_BODY;
      end if;
      E362 := E362 + 1;
      if E412 = 0 then
         AWS.RESOURCES.STREAMS.DISK.ONCE'ELAB_SPEC;
      end if;
      if E412 = 0 then
         AWS.RESOURCES.STREAMS.DISK.ONCE'ELAB_BODY;
      end if;
      E412 := E412 + 1;
      if E372 = 0 then
         AWS.RESOURCES.STREAMS.MEMORY.ZLIB'ELAB_SPEC;
      end if;
      if E372 = 0 then
         AWS.RESOURCES.STREAMS.MEMORY.ZLIB'ELAB_BODY;
      end if;
      E372 := E372 + 1;
      if E370 = 0 then
         AWS.TRANSLATOR'ELAB_BODY;
      end if;
      E370 := E370 + 1;
      if E171 = 0 then
         AWS.CONFIG'ELAB_SPEC;
      end if;
      if E229 = 0 then
         AWS.NET'ELAB_SPEC;
      end if;
      if E390 = 0 then
         AWS.NET.BUFFERED'ELAB_SPEC;
      end if;
      if E390 = 0 then
         AWS.NET.BUFFERED'ELAB_BODY;
      end if;
      E390 := E390 + 1;
      if E171 = 0 then
         AWS.CONFIG'ELAB_BODY;
      end if;
      E171 := E171 + 1;
      if E376 = 0 then
         AWS.NET.STD'ELAB_SPEC;
      end if;
      if E332 = 0 then
         AWS.NET.POLL_EVENTS'ELAB_SPEC;
      end if;
      if E332 = 0 then
         AWS.NET.POLL_EVENTS'ELAB_BODY;
      end if;
      E332 := E332 + 1;
      if E233 = 0 then
         AWS.NET.LOG'ELAB_BODY;
      end if;
      E233 := E233 + 1;
      if E334 = 0 then
         AWS.NET.SSL'ELAB_SPEC;
      end if;
      if E339 = 0 then
         AWS.NET.SSL.CERTIFICATE'ELAB_SPEC;
      end if;
      E341 := E341 + 1;
      E339 := E339 + 1;
      if E229 = 0 then
         AWS.NET'ELAB_BODY;
      end if;
      E229 := E229 + 1;
      E227 := E227 + 1;
      E223 := E223 + 1;
      if E376 = 0 then
         AWS.NET.STD'ELAB_BODY;
      end if;
      E376 := E376 + 1;
      if E334 = 0 then
         AWS.NET.SSL'ELAB_BODY;
      end if;
      E334 := E334 + 1;
      if E366 = 0 then
         AWS.NET.SSL.RSA_DH_GENERATORS'ELAB_BODY;
      end if;
      E366 := E366 + 1;
      if E416 = 0 then
         AWS.DIGEST'ELAB_BODY;
      end if;
      E416 := E416 + 1;
      if E406 = 0 then
         AWS.HEADERS'ELAB_SPEC;
      end if;
      if E406 = 0 then
         AWS.HEADERS'ELAB_BODY;
      end if;
      E406 := E406 + 1;
      if E410 = 0 then
         AWS.HEADERS.VALUES'ELAB_BODY;
      end if;
      E410 := E410 + 1;
      if E427 = 0 then
         AWS.MESSAGES'ELAB_SPEC;
      end if;
      E427 := E427 + 1;
      if E400 = 0 then
         AWS.MIME'ELAB_BODY;
      end if;
      E400 := E400 + 1;
      if E432 = 0 then
         AWS.ATTACHMENTS'ELAB_SPEC;
      end if;
      if E432 = 0 then
         AWS.ATTACHMENTS'ELAB_BODY;
      end if;
      E432 := E432 + 1;
      E398 := E398 + 1;
      E473 := E473 + 1;
      if E499 = 0 then
         AWS.NET.ACCEPTORS'ELAB_SPEC;
      end if;
      if E499 = 0 then
         AWS.NET.ACCEPTORS'ELAB_BODY;
      end if;
      E499 := E499 + 1;
      if E475 = 0 then
         AWS.NET.MEMORY'ELAB_SPEC;
      end if;
      if E475 = 0 then
         AWS.NET.MEMORY'ELAB_BODY;
      end if;
      E475 := E475 + 1;
      if E505 = 0 then
         AWS.SERVICES.TRANSIENT_PAGES'ELAB_SPEC;
      end if;
      if E505 = 0 then
         AWS.SERVICES.TRANSIENT_PAGES'ELAB_BODY;
      end if;
      E505 := E505 + 1;
      E509 := E509 + 1;
      if E446 = 0 then
         AWS.UTILS.STREAMS'ELAB_SPEC;
      end if;
      E446 := E446 + 1;
      if E442 = 0 then
         AWS.SESSION'ELAB_SPEC;
      end if;
      if E442 = 0 then
         AWS.SESSION'ELAB_BODY;
      end if;
      E442 := E442 + 1;
      E511 := E511 + 1;
      if E434 = 0 then
         AWS.PARAMETERS'ELAB_SPEC;
      end if;
      if E436 = 0 then
         AWS.URL'ELAB_SPEC;
      end if;
      E438 := E438 + 1;
      if E429 = 0 then
         AWS.STATUS'ELAB_SPEC;
      end if;
      if E464 = 0 then
         AWS.NET.WEBSOCKET'ELAB_SPEC;
      end if;
      if E487 = 0 then
         AWS.NET.WEBSOCKET.HANDSHAKE_ERROR'ELAB_SPEC;
      end if;
      if E487 = 0 then
         AWS.NET.WEBSOCKET.HANDSHAKE_ERROR'ELAB_BODY;
      end if;
      E487 := E487 + 1;
      if E465 = 0 then
         AWS.NET.WEBSOCKET.PROTOCOL'ELAB_SPEC;
      end if;
      E465 := E465 + 1;
      if E469 = 0 then
         AWS.NET.WEBSOCKET.PROTOCOL.RFC6455'ELAB_SPEC;
      end if;
      if E469 = 0 then
         AWS.NET.WEBSOCKET.PROTOCOL.RFC6455'ELAB_BODY;
      end if;
      E469 := E469 + 1;
      if E467 = 0 then
         AWS.NET.WEBSOCKET.PROTOCOL.DRAFT76'ELAB_SPEC;
      end if;
      if E467 = 0 then
         AWS.NET.WEBSOCKET.PROTOCOL.DRAFT76'ELAB_BODY;
      end if;
      E467 := E467 + 1;
      E429 := E429 + 1;
      if E404 = 0 then
         AWS.RESPONSE'ELAB_SPEC;
      end if;
      if E404 = 0 then
         AWS.RESPONSE'ELAB_BODY;
      end if;
      E404 := E404 + 1;
      if E402 = 0 then
         AWS.DISPATCHERS'ELAB_SPEC;
      end if;
      if E402 = 0 then
         AWS.DISPATCHERS'ELAB_BODY;
      end if;
      E402 := E402 + 1;
      if E481 = 0 then
         AWS.HOTPLUG'ELAB_SPEC;
      end if;
      E495 := E495 + 1;
      if E436 = 0 then
         AWS.URL'ELAB_BODY;
      end if;
      E436 := E436 + 1;
      if E483 = 0 then
         AWS.CLIENT'ELAB_SPEC;
      end if;
      E485 := E485 + 1;
      if E483 = 0 then
         AWS.CLIENT'ELAB_BODY;
      end if;
      E483 := E483 + 1;
      if E471 = 0 then
         AWS.NET.WEBSOCKET.REGISTRY'ELAB_SPEC;
      end if;
      E489 := E489 + 1;
      E477 := E477 + 1;
      if E471 = 0 then
         AWS.NET.WEBSOCKET.REGISTRY'ELAB_BODY;
      end if;
      E471 := E471 + 1;
      if E464 = 0 then
         AWS.NET.WEBSOCKET'ELAB_BODY;
      end if;
      E464 := E464 + 1;
      if E460 = 0 then
         AWS.LOG'ELAB_SPEC;
      end if;
      if E460 = 0 then
         AWS.LOG'ELAB_BODY;
      end if;
      E460 := E460 + 1;
      if E458 = 0 then
         AWS.DISPATCHERS.CALLBACK'ELAB_SPEC;
      end if;
      if E458 = 0 then
         AWS.DISPATCHERS.CALLBACK'ELAB_BODY;
      end if;
      E458 := E458 + 1;
      E513 := E513 + 1;
      E481 := E481 + 1;
      E440 := E440 + 1;
      if E118 = 0 then
         AWS.SERVER'ELAB_SPEC;
      end if;
      E502 := E502 + 1;
      if E479 = 0 then
         AWS.SERVER.HTTP_UTILS'ELAB_SPEC;
      end if;
      E497 := E497 + 1;
      if E434 = 0 then
         AWS.PARAMETERS'ELAB_BODY;
      end if;
      E434 := E434 + 1;
      E414 := E414 + 1;
      if E118 = 0 then
         AWS.SERVER'ELAB_BODY;
      end if;
      E118 := E118 + 1;
      if E479 = 0 then
         AWS.SERVER.HTTP_UTILS'ELAB_BODY;
      end if;
      E479 := E479 + 1;
      E493 := E493 + 1;
      E491 := E491 + 1;
      if E994 = 0 then
         AWS.COOKIE'ELAB_SPEC;
      end if;
      E994 := E994 + 1;
      if E992 = 0 then
         Matreshka.Servlet_Aws_Responses'Elab_Spec;
      end if;
      if E992 = 0 then
         Matreshka.Servlet_Aws_Responses'Elab_Body;
      end if;
      E992 := E992 + 1;
      if E990 = 0 then
         Servlet.Http_Parameters.Aws_Parameters'Elab_Spec;
      end if;
      if E990 = 0 then
         Servlet.Http_Parameters.Aws_Parameters'Elab_Body;
      end if;
      E990 := E990 + 1;
      if E988 = 0 then
         Matreshka.Servlet_Aws_Requests'Elab_Spec;
      end if;
      if E988 = 0 then
         Matreshka.Servlet_Aws_Requests'Elab_Body;
      end if;
      E988 := E988 + 1;
      if E1001 = 0 then
         Web_Socket.Handlers.Aws_Handlers'Elab_Spec;
      end if;
      if E1001 = 0 then
         Web_Socket.Handlers.Aws_Handlers'Elab_Body;
      end if;
      E1001 := E1001 + 1;
      if E905 = 0 then
         XML.SAX.CONSTANTS'ELAB_SPEC;
      end if;
      E905 := E905 + 1;
      if E900 = 0 then
         XML.SAX.INPUT_SOURCES.STREAMS.FILES'ELAB_SPEC;
      end if;
      if E900 = 0 then
         XML.SAX.INPUT_SOURCES.STREAMS.FILES'ELAB_BODY;
      end if;
      E900 := E900 + 1;
      if E902 = 0 then
         XML.SAX.SIMPLE_READERS'ELAB_SPEC;
      end if;
      if E928 = 0 then
         XML.SAX.SIMPLE_READERS.SCANNER.TABLES'ELAB_SPEC;
      end if;
      E928 := E928 + 1;
      if E915 = 0 then
         XML.SAX.SIMPLE_READERS.RESOLVER'ELAB_BODY;
      end if;
      E915 := E915 + 1;
      E930 := E930 + 1;
      E917 := E917 + 1;
      if E902 = 0 then
         XML.SAX.SIMPLE_READERS'ELAB_BODY;
      end if;
      E902 := E902 + 1;
      E925 := E925 + 1;
      E923 := E923 + 1;
      E907 := E907 + 1;
      E919 := E919 + 1;
      E927 := E927 + 1;
      if E964 = 0 then
         Matreshka.Servlet_Registrations'Elab_Spec;
      end if;
      if E958 = 0 then
         Matreshka.Servlet_Dispatchers'Elab_Spec;
      end if;
      if E958 = 0 then
         Matreshka.Servlet_Dispatchers'Elab_Body;
      end if;
      E958 := E958 + 1;
      if E837 = 0 then
         Matreshka.Servlet_Containers'Elab_Spec;
      end if;
      if E964 = 0 then
         Matreshka.Servlet_Registrations'Elab_Body;
      end if;
      E964 := E964 + 1;
      if E837 = 0 then
         Matreshka.Servlet_Containers'Elab_Body;
      end if;
      E837 := E837 + 1;
      if E971 = 0 then
         Matreshka.Servlet_Servers.Aws_Servers'Elab_Spec;
      end if;
      if E971 = 0 then
         Matreshka.Servlet_Servers.Aws_Servers'Elab_Body;
      end if;
      E971 := E971 + 1;
      if E827 = 0 then
         Servlet.Application'Elab_Body;
      end if;
      E827 := E827 + 1;
   end adainit;

   procedure Ada_Main_Program;
   pragma Import (Ada, Ada_Main_Program, "_ada_spikedog__aws_driver");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer
   is
      procedure Initialize (Addr : System.Address);
      pragma Import (C, Initialize, "__gnat_initialize");

      procedure Finalize;
      pragma Import (C, Finalize, "__gnat_finalize");
      SEH : aliased array (1 .. 2) of Integer;

      Ensure_Reference : aliased System.Address := Ada_Main_Program_Name'Address;
      pragma Volatile (Ensure_Reference);

   begin
      gnat_argc := argc;
      gnat_argv := argv;
      gnat_envp := envp;

      Initialize (SEH'Address);
      adainit;
      Ada_Main_Program;
      adafinal;
      Finalize;
      return (gnat_exit_status);
   end;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/matreshka-18.1/.objs/spikedog_awsd/servlet-application.o
   --   /builddir/build/BUILD/matreshka-18.1/.objs/spikedog_awsd/spikedog-aws_driver.o
   --   -L/builddir/build/BUILD/matreshka-18.1/.objs/spikedog_awsd/
   --   -L/builddir/build/BUILD/matreshka-18.1/.objs/spikedog_awsd/
   --   -L/builddir/build/BUILD/matreshka-18.1/.libs/matreshka/
   --   -L/usr/lib/aws/
   --   -L/usr/lib/templates_parser/
   --   -L/usr/lib/xmlada/
   --   -L/usr/lib/zlib-ada/
   --   -L/usr/lib/gcc/i686-redhat-linux/9/adalib/
   --   -shared
   --   -lgnarl-9
   --   -lgnat-9
   --   -lpthread
   --   -lrt
   --   -ldl
--  END Object file/option list   

end ada_main;
